Bug 223506 - gfs2_fsck: fatal: invalid metadata block
gfs2_fsck: fatal: invalid metadata block
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Peterson
GFS Bugs
:
Depends On: 216203
Blocks: 223500
  Show dependency treegraph
 
Reported: 2007-01-19 14:37 EST by Robert Peterson
Modified: 2010-01-11 22:37 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0579
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 13:04:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch to fix the problem (15.56 KB, patch)
2007-01-22 14:55 EST, Robert Peterson
no flags Details | Diff

  None (edit)
Comment 1 Robert Peterson 2007-01-22 11:13:09 EST
Patch in progress, should hopefully be done today or tomorrow.
I've got to do this crosswrite before I can do commit the code fix for
223500.  Requesting some acks.
Comment 2 Robert Peterson 2007-01-22 14:55:02 EST
Created attachment 146215 [details]
Proposed patch to fix the problem

This patch brings gfs_fsck up to date as far as this bug is concerned.
I painstakingly verified that all other code changes in the patch
for the original bugzilla, 208836, are either already in the gfs2_fsck
code or else part of this patch.
Comment 3 Robert Peterson 2007-01-23 14:36:24 EST
Sounds like we don't need the flags for RHEL5.1 yet.
Fix committed to CVS at HEAD and RHEL5.  Setting the status to modified.
Comment 4 Kiersten (Kerri) Anderson 2007-04-23 13:44:19 EDT
Fixing Product Name.  Cluster Suite components were integrated into Enterprise
Linux for verion 5.0.
Comment 7 errata-xmlrpc 2007-11-07 13:04:31 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0579.html

Note You need to log in before you can comment on or make changes to this bug.